Page MenuHomePhabricator

Merge WikibaseQuality and WikibaseQualityConstraints
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterMove over classes from Wikibase Quality

Event Timeline

Addshore created this task.Sep 21 2018, 8:06 AM

Change 460505 had a related patch set uploaded (by Addshore; owner: Jeroen De Dauw):
[mediawiki/extensions/WikibaseQualityConstraints@master] Move over classes from Wikibase Quality

https://gerrit.wikimedia.org/r/460505

Addshore triaged this task as Medium priority.Sep 21 2018, 8:12 AM
Addshore moved this task from incoming to in progress on the Wikidata board.Sep 21 2018, 8:29 AM

Change 460505 merged by Jeroen De Dauw:
[mediawiki/extensions/WikibaseQualityConstraints@master] Move over classes from Wikibase Quality

https://gerrit.wikimedia.org/r/460505

Addshore closed this task as Resolved.Oct 11 2018, 1:01 PM

the change has been merged and is also deployed in production

Tarrow reopened this task as Open.Oct 19 2018, 2:04 PM
Tarrow added a subscriber: Tarrow.

Looks like at least some of the HTML classes weren't changed over: see e.g. WikibaseQuality\Html\HtmlTableBuilder still present on extensions/WikibaseQualityConstraints/src/Specials/SpecialConstraintReport.php#38

This should have been caught by the tests but apparently not. I'm looking into that as part of T206205

Tarrow closed this task as Resolved.Oct 23 2018, 11:34 AM
Tarrow moved this task from Backlog to DONE on the Wikibase-Quality board.